Bug 115412 - Compile: Error including freetype headers
Compile: Error including freetype headers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-11 20:25 EST by Ivan Gyurdiev
Modified: 2015-03-04 20:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-12 05:08:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2004-02-11 20:25:25 EST
gcc -DHAVE_CONFIG_H -I. -I. -I. -I/usr/include/freetype2
-I/usr/X11R6/include -O2 -g -pipe -march=athlon -MT gdft.lo -MD -MP
-MF .deps/gdft.Tpo -c gdft.c  -fPIC -DPIC -o .libs/gdft.lo
In file included from gdft.c:57:
/usr/include/freetype2/freetype/freetype.h:20:2: #error "`ft2build.h'
hasn't been included yet!"
/usr/include/freetype2/freetype/freetype.h:21:2: #error "Please always
use macros to include FreeType header files."
/usr/include/freetype2/freetype/freetype.h:22:2: #error "Example:"
/usr/include/freetype2/freetype/freetype.h:23:2: #error "  #include
<ft2build.h>"
/usr/include/freetype2/freetype/freetype.h:24:2: #error "  #include
FT_FREETYPE_H"
make[2]: *** [gdft.lo] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/gd-2.0.15'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/gd-2.0.15'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.93491 (%build)
                                                                     
                                                       
                                                                     
                                                       
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.93491 (%build)
Comment 1 Phil Knirsch 2004-02-12 05:08:26 EST
Fixed with latest gd from rawhide.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.